import { IDomainEvent, UniqueID } from "@/core/common/domain";

export class UserAuthenticatedEvent implements IDomainEvent {
  public readonly eventName = "UserAuthenticated";
  public readonly occurredAt: Date;

  constructor(
    public readonly aggregateId: UniqueID,
    public readonly email: string // Email en formato string
  ) {
    this.occurredAt = new Date();
  }
}
